%binofit
% Monte-Carlo method 
clear all
clf
clc
% area circle is pi/4
n=100
m=n;
r=[];
for j=1:m
    tel=0;
    for i=1:n
    x=rand;
    y=rand;
        if sqrt((x-0.5)^2+(y-0.5)^2)<0.5
        tel=tel+1;
        end
    end
    r=[r;tel];
end
max(4*r/n)
min(4*r/n)


approxi=4*tel/n
errors=4*tel/n-pi
 figure(1)
hold on

 h = histogram(4*r/n,100,'Normalization','probability')


%Y = binopdf(X,N,P) computes the binomial pdf at each of the values in X 
%using the corresponding number of trials in N and probability of success 
%for each trial in P. Y, N, and P can be vectors, matrices, 
%or multidimensional arrays that all have the same size. 
%A scalar input is expanded to a constant array with the same dimensions 
%of the other inputs.

%Y = normpdf(X,mu,sigma) computes the pdf at each of the values in X using 
%the normal distribution with mean mu and standard deviation sigma. 
%X, mu, and sigma can be vectors, matrices, or multidimensional arrays that 
%all have the same size. A scalar input is expanded to a constant array with 
%the same dimensions as the other inputs. 
%The parameters in sigma must be positive.

%Binomial Distribution. A binomial random variable is the 
% number of successes x in n repeated trials of a binomial experiment. ... 
%The mean of the distribution (?x) is equal to n * P . 
%The variance (?2x) is n * P * ( 1 - P ). 
 %The standard deviation (?x) is sqrt[ n * P * ( 1 - P ) ].
npdf=n;
pdf=[];
pdfnorm=[];
for i=1:npdf
     pdf=[pdf,binopdf(i,npdf,pi/4)];
     
     pdfnorm = [pdfnorm,normpdf(i,npdf*pi/4,sqrt(npdf*pi/4*(1-pi/4)))];
end 
%figure(2)

in=1:1:npdf;

plot(4*in/npdf,pdf,'xr','LineWidth',4)
plot(4*in/npdf,pdfnorm,'-og','LineWidth',2)

axis([0.75*pi 1.25*pi 0 inf]) 
xlim([0.75*pi 1.25*pi])
xticks(0.75*pi:pi/4:1.25*pi)
xticklabels({'0.75\pi','\pi','1.25\pi'})
legend('trails', 'binom','norm')
hold off
 disp('ready') 
  
